﻿using GridViewSamples.DataModel;
using System;
using System.Collections.Generic;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Data;

// The Basic Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=234237

namespace GridViewSamples.Samples
{
    /// <summary>
    /// This page shows standard GridView control bound to the grouped data source. 
    /// Standard GridView doesn't support drag&drop in this scenario.
    /// </summary>
    public sealed partial class Grouped : GridViewSamples.Common.LayoutAwarePage
    {
        public Grouped()
        {
            this.InitializeComponent();

            List<Group> groups = new List<Group>();

            for (int j = 1; j <= 12; j++)
            {
                Group group = Group.GetNewGroup();

                for (int i = 1; i <= 31; i++)
                {
                    group.Items.Add(new Item()
                    {
                        Id = i,
                        GroupId = group.Id
                    });
                }
                groups.Add(group);
            }

            CollectionViewSource source = new CollectionViewSource();
            source.Source = groups;
            source.ItemsPath = new PropertyPath("Items");
            source.IsSourceGrouped = true;
            this.DataContext = source;
        }

        /// <summary>
        /// Populates the page with content passed during navigation.  Any saved state is also
        /// provided when recreating a page from a prior session.
        /// </summary>
        /// <param name="navigationParameter">The parameter value passed to
        /// <see cref="Frame.Navigate(Type, Object)"/> when this page was initially requested.
        /// </param>
        /// <param name="pageState">A dictionary of state preserved by this page during an earlier
        /// session.  This will be null the first time a page is visited.</param>
        protected override void LoadState(Object navigationParameter, Dictionary<String, Object> pageState)
        {
        }

        /// <summary>
        /// Preserves state associated with this page in case the application is suspended or the
        /// page is discarded from the navigation cache.  Values must conform to the serialization
        /// requirements of <see cref="SuspensionManager.SessionState"/>.
        /// </summary>
        /// <param name="pageState">An empty dictionary to be populated with serializable state.</param>
        protected override void SaveState(Dictionary<String, Object> pageState)
        {
        }
    }
}
